# Method: networks.list

Lists the Network.

### HTTP request

`GET https://middlemileoptimization.googleapis.com/v1/networks`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of networks to return. The service may return fewer than this value. If unspecified, at most 50 networks will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `networks.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `networks.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

The response message for `networks.list` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "networks": [ { object (`https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/networks#Network`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `networks[]` | ``object (`https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/networks#Network`)`` The list of networks. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |